Create subscription
curl --request POST \
--url https://api.birdeye.com/resources/v1/subscriptions/subscribe \
--header 'Content-Type: application/json' \
--data '
{
"webhookUrl": "https://webhook.site/2036c967-0174-4604-8b38-8d5493ed6d65",
"emails": [
"test@xyz.com"
],
"eventName": "APPOINTMENT_BOOKED",
"auth": {
"username": "testUser",
"password": "userpassword"
}
}
'import requests
url = "https://api.birdeye.com/resources/v1/subscriptions/subscribe"
payload = {
"webhookUrl": "https://webhook.site/2036c967-0174-4604-8b38-8d5493ed6d65",
"emails": ["test@xyz.com"],
"eventName": "APPOINTMENT_BOOKED",
"auth": {
"username": "testUser",
"password": "userpassword"
}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
webhookUrl: 'https://webhook.site/2036c967-0174-4604-8b38-8d5493ed6d65',
emails: ['test@xyz.com'],
eventName: 'APPOINTMENT_BOOKED',
auth: {username: 'testUser', password: 'userpassword'}
})
};
fetch('https://api.birdeye.com/resources/v1/subscriptions/subscribe', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "abcchdguweUGBSK16789278",
"message": "You have successfully subscribed to : https://webhook.site/2036c967-0174-4604-8b38-8d5493ed6d65"
}{
"code": 1161,
"message": "Invalid API key"
}{
"code": 1011,
"message": "Business id is invalid"
}{
"code": 89,
"message": "Rate limit exceeded"
}Subscription
Subscribe
Create webhook subscription listens to subscribed webhook events on a specific passed URL.
POST
/
v1
/
subscriptions
/
subscribe
Create subscription
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
Media type of the JSON request body.
Query Parameters
Account business number.
Body
application/json
⌘I